# Note that mpack is defunct, the following URL is the wayback machine's archive
# of the last known site.  Debian maintains a set of patches that are applied on
# top of the 1.6 version to fix bugs, security issues, etc.

Name: mpack
Version: 1.6
Release: 18.1%{?dist}

Summary: %name and munpack MIME e-mail utilities
License: Carnegie Mellon University
Group: File tools
Url: https://web.archive.org/web/20190220145801/ftp://ftp.andrew.cmu.edu/pub/mpack/

# The archive machine is weird, it will send the uncompressed tar even though
# the compressed tar.gz is requested.  The actual link is as followes but needs
# to be renamed to .tar:
# https://web.archive.org/web/20190220145801/ftp://ftp.andrew.cmu.edu/pub/mpack/mpack-1.6.tar
Source: %name-%version.tar

# Debian patches from:
# https://sources.debian.org/data/main/m/mpack/1.6-18/debian/patches/
Patch1: 01_legacy.patch
Patch2: 02_fix-permissions.patch
Patch3: 03_specify-filename-replacement-character.patch
Patch4: 04_fix-return-error-code.patch
Patch5: 05_include-bug-report-in-manpages.patch
Patch6: 06_fix-makefile.patch
Patch7: 07_fix-decode-base64-attachment.patch
Patch8: 08_fix-mime-version.patch
Patch9: 09_remove-debugging-message.patch


%description
mpack and munpack are utilities for encoding and decoding (respectively)
binary files in MIME (Multipurpose Internet Mail Extensions) format mail
messages. For compatibility with older forms of transferring binary files,
the munpack program can also decode messages in split-uuencoded format.
The Macintosh version can also decode messages in split-BinHex format.

%prep
%autosetup

%build
%configure
%__make

%install
%makeinstall

%clean

%files
%_bindir/*
%_mandir/man?/*
%doc README.unix

%changelog
* Sat Jun 18 2022 Peter Ajamian <pj@ghettoforge.org> - 1.6-18.1
- Get newest patches from debian.
- Port to EL7 and 8.

* Wed Apr 17 2013 Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 1.6-alt2.qa1
- NMU: rebuilt for debuginfo.

* Wed Nov 26 2008 Anton Farygin <rider@altlinux.ru> 1.6-alt2
- cleanup specfile
- added patches from Debian

* Tue Jan 25 2005 Anton Farygin <rider@altlinux.ru> 1.6-alt1
- new version
- specfile cleanup

* Sat Oct 05 2002 Rider <rider@altlinux.ru> 1.5-ipl3
- rebuild

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 1.5-ipl2
- rebuild

* Fri Dec 01 2000 Dmitry V. Levin <ldv@fandra.org> 1.5-ipl1
- FHSification.

* Sun Apr  9 2000 Dmitry V. Levin <ldv@fandra.org>
- RE adaptions.

* Tue Apr 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Build for RH5

* Sun Mar 22 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Build Root'ed
- Moved to /usr/bin
- Added attr in install
- Added clean
